﻿using DropDownSample.UI.Types;
using Eto.Forms;
using System.Collections.Generic;

namespace DropDownSample.ViewModels
{
    class DDPanelViewModel : ViewModelBase
    {
        internal List<DDElement> Elements { get; private set; }

        internal DDPanelViewModel()
        {
            this.Elements = new List<DDElement>();
        }

        private FilterCollection<DDGridItem> data;
        public FilterCollection<DDGridItem> Data
        {
            get { return data; }
            set
            {
                data = value;
                NotifyPropertyChanged(nameof(Data));
            }
        }
    }
}
